#
# spec file for package netsaint (Version 0.0.7b6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 freetype2-devel gd gd-devel iputils libjpeg libpng libz traceroute xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip iputils kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone traceroute unzip util-linux vim xdevel xf86 xshared

Name:         netsaint
Summary:      NetSaint network monitor
Version:      0.0.7b6
Release:      43
URL:	      http://netsaint.sourceforge.net/
Copyright:    GPL
Group:        Applications/System
Autoreqprov:  on
Source0:      %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Source1:      rcnetsaint
Source2:      rc.config.netsaint
Source3:      netsaint-httpd.conf
BuildRoot:    %{_tmppath}/%{name}-root
%define nsusr daemon
%define nsgrp daemon
%define cmdusr nobody
%define cmdgrp nogroup

%description
NetSaint is a program that will monitor hosts and services on your
network. It has the ability to email or page you when a problem arises
and when a problem is resolved. NetSaint is written in C and is
designed to run under Linux (and some other *NIX variants) as a
background process, intermittently running checks on various services
that you specify.

The actual service checks are performed by separate "plugin" programs
which return the status of the checks to NetSaint. The plugins are
available at http://sourceforge.net/projects/netsaintplug or in our packages
'netsaint-plugins' and 'netsaint-plugins-extras'.

This package provide core programs for netsaint. The web interface,
documentation, and development files are built as separate packages.

Authors:
--------
    Ethan Galstad <netsaint@netsaint.org>

SuSE series: n

%package www
Group:   Applications/System
Summary:      NetSaint's Webinterface
Requires: netsaint apache gd 

%description www
Several CGI programs are included with NetSaint in order to allow you
to view the current service status, problem history, notification
history, and log file via the web. This package provides the HTML and
CGI files for the Netsaint web interface. In addition, HTML
documentation is included in this package.

Authors:
--------
    Ethan Galstad <netsaint@netsaint.org>

SuSE series: n

%package devel
Group:   Applications/System
Summary:      Development package for NetSaint

%description devel
This package provides include files that Netsaint-related applications
may compile against.

Authors:
--------
    Ethan Galstad <netsaint@netsaint.org>

SuSE series: n

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--with-cgiurl=/netsaint/cgi-bin \
	--with-htmurl=/netsaint \
	--with-lockfile=/var/run/netsaint.pid \
	--with-netsaint-user=%{nsusr} \
	--with-netsaint-grp=%{nsgrp} \
	--with-command-user=%{cmdusr} \
	--with-command-grp=%{cmdgrp} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix}/sbin \
	--bindir=%{_prefix}/sbin \
	--sbindir=%{_prefix}/lib/netsaint/cgi \
	--libexecdir=%{_prefix}/lib/netsaint/plugins \
	--datadir=%{_prefix}/share/netsaint \
	--sysconfdir=/etc/netsaint \
	--localstatedir=/var/log/netsaint \
	--with-init-dir=/etc/init.d \
	--with-gd-inc=/usr/include/gd \
	--enable-embedded-perl \
	--with-perlcache 
#	--mandir=%{_mandir} \
#	--infodir=%{_infodir}
make all
mv netsaint.cfg netsaint.tmp
sed -e 's=/var/log/netsaint/rw/=/var/spool/netsaint/=' netsaint.tmp > netsaint.cfg
cd contrib
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d -m 0775 ${RPM_BUILD_ROOT}/var/spool/netsaint
install -d -m 0755 ${RPM_BUILD_ROOT}%{_prefix}/include/netsaint
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/init.d
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/httpd
make DESTDIR=${RPM_BUILD_ROOT} INSTALL_OPTS="" COMMAND_OPTS="" install
make DESTDIR=${RPM_BUILD_ROOT} INSTALL_OPTS="" COMMAND_OPTS="" install-commandmode
make DESTDIR=${RPM_BUILD_ROOT} INSTALL_OPTS="" COMMAND_OPTS="" INIT_OPTS="" install-daemoninit
make DESTDIR=${RPM_BUILD_ROOT} INSTALL_OPTS="" COMMAND_OPTS="" CGICFGDIR=/etc/netsaint install-config
mv $RPM_BUILD_ROOT/etc/netsaint/hosts.cfg $RPM_BUILD_ROOT/etc/netsaint/hosts.cfg.sample
cp test.cfg ${RPM_BUILD_ROOT}/etc/netsaint/hosts.cfg
install -m 0644 common/locations.h ${RPM_BUILD_ROOT}%{_prefix}/include/netsaint
cp $RPM_SOURCE_DIR/netsaint-httpd.conf ${RPM_BUILD_ROOT}/etc/httpd/
cd contrib; make INSTALL=install CGIDIR=${RPM_BUILD_ROOT}%{_prefix}/lib/netsaint/cgi install
# install SuSE specials 
install -m 744 $RPM_SOURCE_DIR/rcnetsaint $RPM_BUILD_ROOT/etc/init.d/netsaint
ln -sf ../../etc/init.d/netsaint $RPM_BUILD_ROOT/usr/sbin/rcnetsaint
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.netsaint $RPM_BUILD_ROOT/var/adm/fillup-templates

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.netsaint
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.netsaint and"
  echo "update by hand."
fi
sbin/insserv /etc/init.d/netsaint
# config-stuff (has to be done with diff in future releases)
if test -f /etc/netsaint/hosts.cfg; then
   if grep "^command[check-host-alive]" /etc/netsaint/hosts.cfg; then
     mv /etc/netsaint/hosts.cfg /etc/netsaint/hosts.cfg.orig
     sed -e 's=^command\[check-host-alive\]=#command\[check-host-alive\]=' /etc/netsaint/hosts.cfg.orig > /etc/netsaint/hosts.cfg
   fi
fi

%postun
sbin/insserv etc/init.d/

%post www
if test -f /etc/httpd/httpd.conf; then
   if ! grep "Include /etc/httpd/netsaint-httpd.conf" /etc/httpd/httpd.conf >> /dev/null; then
      echo "Include /etc/httpd/netsaint-httpd.conf" >> /etc/httpd/httpd.conf.netsaint
   fi
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(755,%{nsusr},%{nsgrp})
%dir /var/log/netsaint
%dir /var/log/netsaint/archives
%defattr(2775,%{nsusr},%{cmdgrp})
%dir /var/spool/netsaint
%defattr(755,root,root)
%config /etc/init.d/netsaint
/usr/sbin/rcnetsaint
/usr/sbin/p1.pl
/var/adm/fillup-templates/rc.config.netsaint
%dir /etc/netsaint
%{_prefix}/sbin/netsaint
%defattr(644,root,root)
%config(noreplace) /etc/netsaint/hosts.cfg
%config(noreplace) /etc/netsaint/netsaint.cfg
%config(noreplace) /etc/netsaint/nscgi.cfg
%config /etc/netsaint/hosts.cfg.sample
%config(noreplace) /etc/netsaint/commands.cfg
%defattr(640,root,%{nsgrp})
%config(noreplace) /etc/netsaint/resource.cfg
%doc Changelog INSTALL LICENSE README* UPGRADING

%files www
%defattr(755,root,root)
%dir %{_prefix}/lib/netsaint/cgi
%{_prefix}/lib/netsaint/cgi/*
%dir %{_prefix}/share/netsaint
%defattr(-,root,root)
%{_prefix}/share/netsaint/*
%config(noreplace) /etc/httpd/netsaint-httpd.conf

%files devel
%defattr(-,root,root)
%dir %{_prefix}/include/netsaint
%{_prefix}/include/netsaint/locations.h

%changelog -n netsaint
* Mon Aug 27 2001 - ro@suse.de
- fix for current ping output (round-trip is called rtt now)
- bzip source
* Fri Jul 06 2001 - stark@suse.de
- update to 0.0.7b6
- added /usr/sbin/p1.pl to %%files
* Mon Jun 18 2001 - stark@suse.de
- update to 0.0.7b5
* Mon May 14 2001 - stark@suse.de
- minor changes in rc-script
* Mon Apr 30 2001 - stark@suse.de
- update to 0.0.7b4
* Tue Apr 24 2001 - stark@suse.de
- moved Requires: gd from netsaint to netsaint-www
* Tue Apr 24 2001 - stark@suse.de
- initial package NetSaint 0.0.7b3 with notification bugfix (cvs)
